# Uses of Interface
org.eclipse.mat.query.IResultPie.Slice

Packages that use IResultPie.Slice
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of IResultPie.Slice in org.eclipse.mat.query

Subinterfaces of IResultPie.Slice in org.eclipse.mat.query
Modifier and Type
Interface
Description
`static interface`
`IResultPie.ColoredSlice`
A slice of the pie with color information
Methods in org.eclipse.mat.query that return types with arguments of type IResultPie.Slice
Modifier and Type
Method
Description
`List<? extends IResultPie.Slice>`
IResultPie.`getSlices()`
All the slices of the pie.

## Uses of IResultPie.Slice in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return IResultPie.Slice
Modifier and Type
Method
Description
`IResultPie.Slice`
PieFactory.`addSlice(int objectId)`
Create and add a new slice for the given object.
`IResultPie.Slice`
PieFactory.`addSlice(int objectId, Color color)`
Create and add a new slice for the given object.
`IResultPie.Slice`
PieFactory.`addSlice(int objectId, String label, long usedHeapSize, long retainedHeapSize)`
Create and add a new slice for the given object.
`IResultPie.Slice`
PieFactory.`addSlice(int objectId, String label, long usedHeapSize, long retainedHeapSize, Color color)`
Create and add a new slice for the given object.
`IResultPie.Slice`
PieFactory.`addSlice(IObject object)`
Create and add a new slice for the given object.
`IResultPie.Slice`
PieFactory.`addSlice(IObject object, Color color)`
Create and add a new slice for the given object.